MyODP News Online

Welcome to MyODP News Online

Story suggestions and/or comments about MyODP News Online may be sent to:
ra-pwmyodp@pa.gov

Masks: Cloth Face Coverings and Surgical Face Masks

A logo displaying a blue orb wearing a face mask

In Pennsylvania, masks must be worn whenever anyone leaves home. On July 1, Secretary of Health Rachel Levine signed an official order requiring the universal use of face coverings.

Masks are mandatory in all public spaces to stop the spread of COVID-19. Staff who provide services must wear a face covering or a mask during the entirety of service provision. The only exception is if the staff person lives with the individual. Masks should be worn by staff and individuals during activities in the community.

Read Full Article

Updated: July 2, 2020 15:00

A Champion of Supporting Families 

The Charting the Lifecourse circle that outlines goal oriented planningODP’s Everyday Lives recommendations outline the office’s commitment to creating equitable and fulfilling lives for individuals with intellectual disabilities and/or autism. ODP’s recommendations turn into initiatives spearheaded by subject matter experts who take care to stay ahead of the curve when assessing the evolving initiatives.

Candida Walton took the mantle of ODP’s Supporting Families Statewide Initiative Coordinator on November 1, 2019, which took her to the helm of recommendation four: Supporting Families Across the Lifespan. Since then, she has been reviewing current practices and assessing what ODP can do to ensure individuals and their chosen families are well-equipped to face the future.

Read Full Article

Updated: July 2, 2020 14:00

 

Staycation vs. Vacation: How to Have Fun and Still Be Safe

A point of view photo of someone lying in a hammock looking down at their red sneakers.This summer is certainly different from summers of the past, but that doesn’t mean we have to miss out on some good old summer fun! This new AIDinPA resource, Staycation vs. Vacation: How to Have Fun and Still Be Safe, discusses how to stay safe and make the most of time off whether you’re choosing to stay home or get away. So whatever option you choose, take a break, stay safe, and enjoy yourself!

Read Full Article

Updated: July 2, 2020 13:30

 

Why We Wear Masks in Public

An illustration of various people wearing masks with humble expressionsAre you supporting someone who is struggling to understand the importance of wearing masks in public? Well, today we wanted to share a resource that could be a helpful means in promoting that message.

Read Full Article

Updated: July 2, 2020 12:05

 

 

CDC Updated Guidance for Direct Service Providers

The CDC logoThe Centers for Disease Control and Prevention (CDC) has updated its COVID-19 guidance for Direct Service Professionals based on frequently asked questions. The update includes more detailed explanations of strategies that focus on a) proactive planning for optimal support, b) supporting distance learning, and c) general COVID-related facts related to this population to inform day to day support. 

Read Full Article

Updated: July 1, 2020 13:42

 

 

Artists Who Have Found Creative Ways to Offer Hope Amid the COVID-19 Crisis

A hand touching up an oil canvas painting of a lilyIt is easy to get trapped in a sense of hopelessness these days, but art can be a wonderful way to get a much-needed pick-me-up. This article provides links to different ways artists have been creating work to inspire hope during COVID-19.

Read Full Article

Updated: June 28, 2020 12:00

 

 

Compassion Fatigue

Two individuals holding hands at a distanceToday we want to highlight another recent AIDinPA resource, about Compassion Fatigue. In this video, Laura Dadswell from the South Central HCQU, provides information on the concept. She reviews what it is, how to recognize it, as well as ways to help manage and cope if you are experiencing compassion fatigue.

Read Full Article

Updated: June 27, 2020 12:00

 

CDC Communication Toolkit

The CDC logoToday we wanted to share a newly created resource from The Centers for Disease Control and Prevention (CDC).  The CDC created a communication toolkit to help public health professionals, health departments, community organizations, and healthcare systems and providers reach populations who may need COVID-19 prevention messaging in their native languages.

Read Full Article

Updated: June 26, 2020 12:00

 

 

AIDinPA Emotional Pain Resource 

A man sitting at a table with his head in his handToday we want to highlight a recently added AIDinPA resource, Emotional Pain During a Pandemic. Emotional pain is often dismissed as being less serious than physical pain, but it must be taken seriously.

Read Full Article

Updated: June 25, 2020 17:00

 

 

Recommendations for Supporting Individuals in Healthcare Settings During COVID-19

The awning of a hospital emergency ward reading 'Emergency'Today we want to highlight this article, Overcoming the Challenges of Autism During the COVID-19 Pandemic.  The article provides a simple explanation for issues that may occur in Emergency or Urgent Care settings during COVID19.  It also includes a link to an academic article aimed at providing this information to healthcare providers. 

Read Full Article

Updated: June 24, 2020 17:03

 

 

Assessing Telehealth Readiness

A person with a stethoscope and medical vials sitting at a table on a laptopThe attached file offers an example of a quick survey-based assessment tool to determine if an individual has the skills required to participate in telehealth service delivery. Though developed specifically for practitioners of Applied Behavior Analysis (ABA), this is an example of something that may be helpful determining if someone will be able to work on goals remotely. 

Read Full Article

Updated: June 23, 2020 17:03

 

 

Guide to Transition: Something For Everyone

An animated illustration of four people smiling as though they are taking a selfieThe Self-Advocate Transition Guide for community re-entry was released last week. With this release, there are now three available transition guides all intended for different audiences. 

Read Full Article

Updated: June 22, 2020 13:03

 

 

There are Good Things Happening

A picture of a table with stacked newspapers, a cup of coffee, and a folded up pair of glassesIn times like this, it is important to focus on good news to put our minds in a positive mental health state. As an update to our previous Good News During COVID-19 post, here are some good news links from this past week to read when you feel yourself or others spiraling.

Read Full Article

Updated: June 21, 2020 12:00

 

 

Promoting Financial Health and Resiliency for People with Disabilities

National Disability Institute logoThe National Disabilities Institute (NDI) has created a simple two-page handout that captures their five strategies and resources to assist individuals in taking steps to maintain their financial health during the COVID-19 Pandemic. 

Read Full Article

Updated: June 20, 2020 12:00

 

 

Recognizing Juneteenth

Three young women sit in a field, embracing each other while smiling at the camera.Today we recognize June 19 as Juneteenth National Freedom Day in Pennsylvania. Governor Wolf is encouraging Pennsylvanians to reflect on the importance of the state holiday and the continued need for a fair and just society.

“In recent weeks, people around the nation have joined together to demand an end to systemic racism and oppression of African Americans,” said Gov. Wolf. “Freedom for all is not fully realized until every person is truly free. This Juneteenth we have an opportunity to unite against injustice and create lasting change that will make Pennsylvania and our nation a better place for everyone.”

Read Full Article

Updated: June 19, 2020 12:00

 

 

Handling Returning to Work Anxiety and Office Safety

Scrabble letters spelling out 'Anxiety'As more and more businesses reopen, it is important to remain cautious and to practice safe strategies as many individuals will face anxiety or fear of returning to the workplace. Whether you are an employer, employee, or supporting an individual who is returning to work, it is important to review, ask, or preemptively answer these questions

Read Full Article

Updated: June 18, 2020 17:00

 

 

A Reminder About the Support Warm Line

The Pennsylvania Warm line logoDuring these times, it is critical to care for our mental health and the mental health of those we support.  Today we wanted to send a reminder that the PA warm line is available as a resource for those struggling with anxiety, fear, or loneliness during this time. The toll-free, round-the-clock support line is operational and available by calling 1-855-284-2494. For TTY, dial 724-631-5600.

Read Full Article

Updated: June 17, 2020 17:09

 

 

Self-Advocate Transition Guide Now Available 

An animated illustration of four people smiling as though they are taking a selfieThe Self-Advocate Transition Guide for community re-entry is now available. The guide, designed in collaboration between ASERT (Autism Services, Education Resources and Training) and SAU1 (Self-Advocates United as 1), can assist individuals with intellectual/developmental disabilities and/or autism in developing their own self-directed path back into the community during Pennsylvania's yellow and green phases of the commonwealth's COVID-19 response. 

 

Read Full Article

Updated: June 17, 2020 15:09

 

Continue to Be Vigilant! 

A traffic cone sitting in the middle of a roadIn many of our recent articles we have been stressing the importance of staying vigilant with precautionary measures during the COVID-19 pandemic. WebMD has recently posted a new article Intellectual Disability Raises COVID-19 Death Risk that puts this need to stay vigilant into perspective. 

 

Read Full Article

Updated: June 16, 2020 13:03

 

Behavior is Communication: A Training for Families and Caregivers

Headshot of facilitator Krista LewisOn Thursday, June 25 at 2:00 PM Vision For Equality will be hosting Behavior is Communication: A Training for Families and Caregivers, an online training course that focuses on the intersection of behavior and communication. ODP's Deaf and Nontraditional Communication Professional Krista Lewis will lead the training for families and caregivers.

Read Full Article

Updated: June 16, 2020 10:15

 

COVID-19 Testing Guidance & Resources

A face mask sitting on a blue backgroundToday we wanted to share this article, Helping People with Autism Spectrum Disorder Manage Masks and COVID-19 Tests.  This is the first resource we have shared that provides specific guidance on the challenges of obtaining nasal or oral tests for COVID-19 including preparing for the test, reviewing testing options, and what to do when testing is not possible. 

Read Full Article

Updated: June 15, 2020 12:35

 

Personal Insights to Keep Motivated

A woman with her back facing the camera and arms up in a victory poseAfter yesterday’s article on motivation, today we wanted to share a short video by Dr. Wenn Lawson on his own experience as an individual on the autism spectrum trying to keep motivated during the changes and isolation related to COVID-19.

Read Full Article

Updated: June 14, 2020 12:00

 

Motivation
A sign displaying the words "You Got This"
As more individuals prepare for returning to the community after a period of isolation, there may be concerns when it appears someone is stuck in a rut, reluctant to return to pre-COVID routines, or just not motivated to work on goals or activities in a way they may have before COVID-19. Uncovering the cause of this seeming lack of motivation is important and may be different for everyone considering there may be many factors at play.

Read Full Article

Updated: June 13, 2020 12:00

 

 

Secondary Traumatic Stress

A woman nervously biting her nailsSecondary traumatic stress (STS) is becoming viewed as an occupational hazard of providing direct services to traumatized populations. As Trauma-Informed principles continue to develop practice guidelines, it is important to pay attention to the role of STS when working with the individuals we support. 

Read Full Article

Updated: June 12, 2020 14:39

 

 

ODP Staff Announcement

A headshot of Tara Giberga, ODP's new Director of Quality ManagementThe Office of Developmental Programs (ODP) is pleased to announce that Tara Giberga will be the new Director for the Division of Quality Management. Tara brings a wealth of knowledge and experience to this position. 

Read Full Article

Updated: June 12, 2020 12:49

 

 

Communication During Risk

The CERC Rhythm flow chartToday we continue our series highlighting Crisis + Emergency Risk Communication’s (CERC) Psychology of a Crisis resource.  Please be sure to check out our other emails based off this resource, 4 Ways People Process Information During a Crisis and Mental States in a Crisis.

Read Full Article

Updated: June 11, 2020 12:42

 

 

Transitioning into Green Phase

A traffic light displaying greenAs some PA counties move to the Green Phase, it is important to remember we must still be vigilant in following CDC and DOH guidance to mitigate COVID-19 spread.  The attached graphic helps to show that though community restrictions may change during each phase, preventative measures taken by individuals continue. It is essential that we stay vigilant with hygiene and environmental cleaning.

Read Full Article

Updated: June 10, 2020 15:42

 

 

CDC Releases Guidance for Individuals with Disabilities

The CDC logoToday we wanted to share newly created resources from The Centers for Disease Control and Prevention (CDC.)  The CDC has released COVID-19 guidance, with a primary focus on family members and caregivers who support people with developmental disabilities. As a credible source of information, these CDC pages can be referred to or shared with others especially to confirm or refute other information being shared about COVID-19.

Read Full Article

Updated: June 9, 2020 14:56

 

Panel Discussion: The Impact of the COVID-19 Pandemic on the Autism Community

The Penn State LogoWe wanted to share an opportunity to be part of an important discussion regarding the potential effect of the pandemic on families and individuals living with autism. Hosted by The Penn State Autism and Developmental Disorders Collaborative, the seminar titled “The Impact of the COVID-19 Pandemic on the Autism Community" will be held on Wednesday, June 10th, from 12:00 PM – 1:15 PM.  All are welcome to register and can find more information in the attached resource. 

Read Full Article

Updated: June 8, 2020 15:00

Showing Community Appreciation

A piece of paper with "thank you" written on itFeeling like you want to contribute to show the community how thankful you are for all they are doing during this time? Maybe you feel that way but do not know what "you" have to offer? People everywhere are thinking outside of the box to show the community their appreciation. 

Read Full Article

Updated: June 7, 2020 17:00

Mental States in a Crisis

A woman sitting on a pier with her head downToday we continue our series highlighting Crisis + Emergency Risk Communication’s (CERC) Psychology of a Crisis resource.  Please be sure to check out our first article based on this resource, 4 Ways People Process Information During a Crisis.

Read Full Article

Updated: June 6, 2020 17:00

Taking Care of Yourself and Others During Times of Uncertainty

A spider graph on a chalkboard with a lightbulb in the middleAs the country responds to current events around the importance of equality for all, you may be thinking about how to support individuals in processing the information and reacting in a way that is meaningful to them. It is important to support their journey to understand what is going on and to have access to credible information in a way that supports their learning style. As of the writing of this email, there are few resources about the current events available that are tailored to the disability population, which means we all may need to use our best judgment to customize information to meet the needs of those we support.

Read Full Article

Updated: June 5, 2020 17:00

 

 

Preparing to go into the Community

A person holding a street mapLast week, we sent out an email about the Office of Developmental Program’s (ODP) Individual Transition Guide. Today we want to highlight a similar resource focused towards families and caregivers. AID in PA has released a comprehensive Community Preparedness Resource Guide that is meant to assist families and caregivers in identifying strengths and needs across six key areas important to considering re-integration.

Read Full Article

Updated: June 4, 2020 17:00

 

4 Ways People Process Information During a Crisis

A person sitting against a wall with their head tucked between their kneesIn a crisis, affected people take in information, process information, and act on information differently than they would during non-crisis times. We wanted to share Crisis + Emergency Risk Communication’s (CERC) Psychology of a Crisis resource that provides explanation for how and why people process information during a crisis including guidance on how to effectively communicate during a crisis.  Over several emails, we will highlight different sections of this comprehensive resource. 

In today’s article, we will focus on the Four Ways People Process Information During a Crisis section. Below is a simplified version (with suggested support strategies) that can be found in the full resource linked above.

Read Full Article

Updated: June 3, 2020 16:55

 

Economic Impact Payment Guidance

A calculator and stacks of coinsAs we continue to receive questions related to participants and economic impact payments, we wanted to be sure you saw the recently updated Government Benefits and Representative Payee Services During the COVID-19 Emergency document 

Read Full Article

Updated: June 2, 2020 10:36

 

Changing Internal Narratives

A thought bubble floating on a pink backgroundAs Pennsylvania phases into reopening meaning more interactions with others, people may observe that there are some people that are not following recommendations aimed at decreasing the spread of COVID-19. This article makes the case that this resistance may be due to those individuals having a strong external locus of control.

Read Full Article

Updated: May 30, 2020 17:00

Good News During COVID-19

A stack of news papersInspired by news articles like this and Some Good News, we are hoping to hear some good news from all of you.  Do you have any good, nice, fun, funny, or otherwise heartwarming stories to share from the field?

Read Full Article

Updated: May 31, 2020 17:00

Apps for Mindfulness

A woman holding a phoneThere are so many useful apps out there and one of the positive outcomes from the COVID-19 pandemic is the creation of additional, useful apps. Over the next few weeks, we will be sharing some information about apps that relate to the topics of some of our recent emails.

Read Full Article

Updated: May 29, 2020 17:00

 

   

Autism Research Institute COVID-19 Resources

The Autism Research Institute logoToday we wanted to share another great resource page: Autism Research Institute’s (ARI) Coping with the Covid-19 Pandemic. The page offers a variety of supports, including videos and downloadable resources primarily targeting child and family-based coping strategies. 

Read Full Article

Updated: May 27, 2020 17:00

 

Using Clear Face Masks to Facilitate Communication

A man wearing a clear face maskWhile it is essential that we continue to wear masks to protect each other from COVID-19, there are many individuals who may find it challenging to wear one. For people who rely on reading lips and facial expressions to communicate, attempting to engage with others may be problematic. The typical face mask hinders the ability to read lips and facial expressions.

Read Full Article

Updated: May 26, 2020 17:08

 

Updated CDC Guidelines for Mitigation

The CDC logoThe Centers for Disease Control and Prevention recently updated existing guidelines to prevent the spread of COVID-19. The new recommendations, listed below, provide guidance for caretakers and healthcare workers. 

Read Full Article

Updated: May 26, 2020 16:14

 

AIDinPA Family Transition & Resource Guides

Aid in PA logo

Many things have changed as a result of COVID-19, and will continue to change in the coming weeks and months. Many things have changed as a result of COVID-19 and are likely to continue to change in the coming weeks and months. As Pennsylvania prepares to re-open, there will be new guidelines and tools to support individuals and families to stay safe and healthy.  

Read Full Article

Updated: May 26, 2020 15:17

Wearing Masks When Wearing a Mask is a Challenge

A woman putting on a face maskToday we wanted to share an interesting article about a mother and her son's experience in meeting state orders to wear masks when in public. The article, "Mom Explains That If Her Severely Autistic Son Can Get Used To Wearing A Mask, Anyone Can" discusses the importance of wearing masks and acknowledges the many challenges some may face. 

Read Full Article

Updated: May 25, 2020 12:00

More Resources for Dealing With Anxiety

The silhouette of a person sitting on a park bench aloneLast week, we sent an email using The Marginal Gains Handbook: Ideas to Survive and Thrive in the Age of Coronavirus to explore the theme of Allowing Time For Anxiety

Read Full Article

Updated: May 24, 2020 12:00

Honoring Memorial Day

A picture of flowers with the American flag in the backgroundMemorial Day is usually a day that is highlighted by large gatherings of family and friends as we welcome the days of the summer while honoring military personnel who had died while serving our country. But, this year most of us will have to stray from some of our traditions to accommodate COVID-19 precautions. 

Read Full Article

Updated: May 23, 2020 12:00

Another Comprehensive COVID-19 Resource

MHPSS COVID-19 Toolkit logoFor those of you continuing to search for COVID-19 specific resources, The Mental Health & Psychosocial Support Network (MHPSS) has a comprehensive tool kit available.  The amount of links on the document is honestly a little overwhelming, but the categorical headings might make it easier to find something that might be useful for you or an individual you support.  There are sections on Gender Issues, Disabilities, and Risk Communication and Community Engagement.

Read Full Article

Updated: May 22, 2020 11:47

More Strategies & Resources For Managing Anxiety

A grayscale image of a woman putting her head in her handsAs a follow up to our previous anxiety themed article, Allowing Time for Anxiety, we wanted to share another helpful article by Dr. Rob Archer about why we may be constantly anxious, at a time like this, and what we can do about it (e.g., pivoting towards what matters).

Read Full Article

Updated: May 22, 2020 09:34

Moving To "Yellow Phase"

A yellow deskThe Office of Developmental Programs (ODP) released Announcement 20-052 to provide updated, service-specific guidance to providers regarding Governor Wolf’s announcement of counties moving to the “yellow phase.” This means that some individuals may start to resume some community-based activities. However, for many individuals, it may not be safe or appropriate to return to community-based supports.  It is important that support teams use the Individual Transition Guide to assess, plan, and execute supports for individuals.

Read Full Article

Updated: May 20, 2020 19:56

 

The ADA Generation: New Perspectives on Employment and College Graduates with Disabilities

The Kessler Foundation LogoThe Kessler Foundation and the New Hampshire Institute on Disability invite you to join a live webinar on June 3, 2020. Entitled "The ADA Generation: New Perspectives on Employment and College Graduates with Disabilities", the session will feature experts from both organizations discussing findings from the Kessler Foundation's survey of recent college graduates and employment prospects for individuals with disabilities. 

Read Full Article

Updated: May 20, 2020 10:56

Work From Home Checklist

An empty to do listWe are big fans of a good old fashioned checklist, for good reason;  a checklist is a great way to stay organized and ensure thoroughness so that things don’t fall through the cracks as we navigate our days.

Read Full Article

Updated: May 19, 2020 16:44

Gratitude Literally Rewires Your Brain To Be Happier

A picture of a thank you noteToday we wanted to share an article that explains how Gratitude Literally Rewires Your Brain to be Happier.

The article is a great summary of what we know about the science behind the physical outcomes of practicing gratitude (e.g., attitude towards others and metabolisms) including links to sources and supplemental articles as well as some additional tips to becoming more grateful in your daily life. 

Read Full Article

Updated: May 18, 2020 16:40

Pennsylvania Assistive Technology Foundation Loans

PATF logoThe pandemic has had a huge impact on the way many people are using and relying on technology. If you have new assistive technology needs, whether for telehealth, working or learning remotely, connecting with family and friends, or otherwise, the Pennsylvania Assistive Technology Foundation can help.

Read Full Article

Updated: May 18, 2020 13:33

Why is the Census so important?

 The US Census LogoThe United States Census 2020 is occurring NOW and it is important for everyone to take the time to participate.

The Census count helps determine:

  • How much money state and local governments get;
  • Where that money goes, like health care, Medicaid, housing vouchers, transportation, educational programs as well as other programs that provide needed services and other community needs; and
  • How many representatives each state gets in the House of Representatives. 

Read Full Article

Updated: May 18, 2020 13:05

Who are you Feeling Like Today?

A question mark drawn on a blackboardDuring the pandemic, we have been asking folks which character they relate to in a given moment in time. So, right now, which character do you relate to?

Read Full Article


Updated: May 17, 2020 12:00

Preparing for Transition

A to do list with empty linesOffice of Developmental Program's Announcement 20-056 was sent out earlier this week to announce the release of ODP's Individual Transition Guide (ITG). This guide was developed for use during weekly well-being check-ins with individuals, caregivers and/or staff, as appropriate, to gather information related to transition and preparation for the lifting of stay at home orders that had been put in place during the COVID-19 pandemic.

Read Full Article


Updated: May 16, 2020 12:00

Allowing Time for Anxiety

A person sitting on the floor with their head tucked between their knees. Let’s face it, most of us are feeling more anxious than three months ago and, frankly, may be struggling to overcome anxious thoughts. Acknowledging our anxiety and worry is a key to managing it.  In The Marginal Gains Handbook: Ideas to Survive and Thrive in the Age of Coronavirus, Dr. Rob Archer discusses some tips to handling anxiety that are based on Acceptance and Commitment Training (ACT).

Read Full Article


Updated: May 15, 2020 15:00

 

What is Mindfulness?

A man with his eyes closed in meditationHave you been hearing the word "mindfulness" a lot lately? Us too, but it feels like a misunderstood concept.  Some see mindfulness as a new-age and serendipitous approach that lacks substance, while others see it as a solution to every problem.  In practice, mindfulness is a wonderful tool based on decades of research that doesn’t necessarily solve problems but removes barriers from thought processes that might inhibit problem-solving skills.   

Read Full Article


Updated: May 14, 2020 14:30

 

Being Present 

A man checking his watchWith all the changes in day-to-day responsibilities and competing priorities, many of us may be multitasking to get things done. But the reality is that multitasking may affect your ability to support people effectively. When supporting individuals, be it in person or remotely, it is crucial that we are present and giving them our undivided attention and support.   

Read Full Article


Updated: May 13, 2020 15:50

 

What is the Census?

The US Census logoThe United States Census 2020 is occurring NOW and it is important for everyone to take the time to participate.

The Census is a survey and counts everyone in the United States and asks questions about each person in each household in the country. One person from each home answers the questions. The Census happens once every ten years.

Read Full Article


Updated: May 13, 2020 12:40

 

Effective Environmental Cleaning

A swiffer mopping a wooden floorDespite Pennsylvania moving to the yellow phase in many counties, it remains important that we stay vigilant with our environmental cleaning to decrease risk for exposure to COVID-19 as more people start to share private and public spaces once again.

Read Full Article


Updated: May 12, 2020 14:28

 

Work/Life Balance

A cup of coffee in the foreground as a man types on a smartphone in front of a computer in the backFor many of us, working from home has become the new normal.  It is important that we establish routines that prioritize a work/life balance to maintain our mental health and productivity. This means more than just following basic work from home rules like creating a designated workspace and creating a work schedule to keep boundaries.

Read Full Article


Updated: May 11, 2020 15:04

 

Being Creative

A paint brush dipping into paint on a paletFor those of you who may not have been inspired into action by last week's staying active article, perhaps something a little more creative may spark your interest. Art challenges are another great way to stay engaged, connected, and creative during COVID-19. 

Read Full Article


Updated: May 10, 2020 12:00

 

Importance of the 2020 Census

The 2020 Census LogoThe 2020 Census is underway. Why is this important for people with disabilities? The government needs an accurate count of who is living in communities in an effort to know how much money the community needs like services and programs for people with disabilities.

Read Full Article


Updated: May 8, 2020 20:24

 

New CDC Guidance on Quarantine, Isolation, and Critical Infrastructure

The CDC LogoThe Centers for Disease Control and Prevention has issued new guidance regarding the difference between quarantine & isolation, and critical infrastructure for public health safety and community well-being.

Read Full Article


Updated: May 8, 2020 14:30

 

#ASDNext

#ASDNext logo

Today we want to highlight a wonderful resource for teens and young adults on the Autism Spectrum, #ASDNext.

#ASDNext is an initiative of the Autism Services, Education, Resources and Training (ASERT) Collaborative.  #ASDNext was conceived to help fill the growing need for resources and support to help teens and young adults with autism transition to “adult” life after school. 

Read Full Article


Updated: May 8, 2020 12:12

PA Department of Health Interim Guidance on Discontinuing Non-Healthcare Isolation for Persons with COVID-19

The PA Department of Health LogoThe Pennsylvania Department of Health has issued interim guidance on discontinuing non-healthcare isolation for persons with COVID-19. The new guidelines, issued by Secretary of Health Dr. Rachel Levine, focus on test-based and time-based strategies for persons who have contracted and recovered from COVID-19 and strongly rely on a case-by-case assessment by region and health/care facility.

Read Full Article


Updated: May 7, 2020 17:08

Doing What Matters in Times of Stress 

A woman clutching her head looking over a crowded deskToday we wanted to share a newly released resource from the World Health Organization (WHO). Doing What Matters in Times of Stress: An Illustrated Guide. It is a stress management guide for coping with adversity by equipping people with practical skills to help cope with stress.

Read Full Article


Updated: May 7, 2020 14:13

 

A Message to Nurses from Secretary Teresa Miller

Pennsylvania DHS logoPennsylvania Department of Human Services (DHS) Secretary Teresa Miller would like to thank all nurses for their dedication during the COVID-19 outbreak. Watch Sec. Miller's personal address below.

Read Full Article


Updated: May 6, 2020 13:45

 

A Message to DSPs from Governor Tom Wolf

The seal of the Commonwealth of PennsylvaniaPennsylvania Governor, Tom Wolf, would like to thank all direct support professionals for their dedication during the COVID-19 outbreak. Watch Gov. Wolf's personal address by following the link below.

Read Full Article


Updated: May 6, 2020 13:45

 

Nurses Day

A nurse smiling holding a paper heartODP joins the nation in applauding the contribution of nurses. Today and every day, nurses serve on the frontlines of care, promoting health, wellness, and recovery. Through dedicated efforts to care for the vulnerable,  the ill, and those in need, nurses inspire us all with wisdom, strength, endurance, and compassion.  In this time of unprecedented challenge to the health of citizens across Pennsylvania and the country, nurses lead by example with heroic efforts in battle against the COVID-19 pandemic. 

Read Full Article


Updated: May 6, 2020 13:41

 

PPE Resources

A face maskWith an international shortage of Personal Protective Equipment (PPE), it has been difficult for many providers to acquire these resources during this crisis. The Department of Community and Economic development has set up the Pennsylvania COVID-19 PPE & Supplies Business-2-Business (B2B) Interchange Directory as a resource that may help providers locate these essential items.

Read Full Article


Updated: May 6, 2020 13:38

 

Back Into the Community: Who to listen to and what to trust

A traffic light displaying a red lightWith consideration for re-integrating into the community, it can be hard to figure out what information is correct.  It is important to make sure that the people you support know where to find the most accurate, up to date information. 

Read Full Article


Updated: May 6, 2020 12:45

 

Mental Health Supports

Having support during a mental health episode can be life-saving. So today we just wanted to share a simple and printable, visual resource for many mental health support options that are available during the COVID-19 crisis. Keep as a resource for yourself or share with individuals you support. Do not suffer alone.

Read Full Article


Updated: May 4, 2020 17:00

 

Having Hope

A plant growing between the cracks of pavementHope is the desire to be happy, it is the concept that things will change and that pain or misfortune will pass. Some of us might find it hard to be hopeful right now.  With so much potential for stress and anxiety related to the uncertainty of the future, finding hope may be difficult.  But, hope matters and can positively affect life outcomes.  Some of those outcomes are laid out in this article, 5 Ways Hope Impacts Health & Happiness

Read Full Article


Updated: May 2, 2020 12:00

 

Staying Active

A picture of hand weightsCOVID 19 has made it harder for many of us to keep physically active although it is so important at this time both for mental and physical well-being.  Some of us may not have been very active before social/physical distancing started. For others, the change in routine, limited access to previous methods of exercise, or motivation issues due to isolation may have impacted our activity levels

Read Full Article


Updated: May 1, 2020 12:00

 

AT and AAC Resources

A google home mini module sitting on a boxCommunication is an essential part of all of our lives. Supporting people to communicate and ensure that their communication is understood, may warrant an exploration of Assistive Technology (AT) and Augmentative and Alternative Communication (AAC).  TechOwl, a part of the Institute on Disabilities (IOD) at Temple University, has developed a variety of resources specific to everything assistive technology-related on their website

Read Full Article


Updated: April 30, 2020 12:45

 

Using Assistive Technology Service to Access Remote Supports

A smart phone and a tablet sitting on a tableProviding services remotely continues to be a critical approach to support during this time. It is important that we help individuals access remote services even when they do not have the equipment they need to receive support. We hope to have additional information available to support you in the coming weeks, but for now, here are some resources to help you navigate providing access to remote services. 

Read Full Article


Updated: April 30, 2020 12:45

Being Prepared

A stethoscope resting on a notebookAs much as we are all trying our very best to mitigate risk and to maintain social/physical distancing, it is important that we have a plan for the worst-case scenario. For some of us, this may mean that the individual we support may require hospitalization. There are so many variables to consider in this situation.

Read Full Article


Updated: April 29, 2020 15:58

Got Research?

A picture of a person reviewing chartsIf you needed more endorsement for the importance of tending to people's mental health during this time, you should check out SAGE Open's latest collection of highlighted articles. SAGE Open is a peer-reviewed, "Gold" open access journal that publishes original research and review articles spanning the social and behavioral sciences and the humanities.

Read Full Article


Updated: April 29, 2020 11:11

The Best Source for COVID-19 News is the Experts

 CDC LogoThe volume of news and information related to the COVID-19 Pandemic is overwhelming and not every source offers valuable news or insight. Trusted health sources provide the most accurate information, such as the Centers for Disease Control and Prevention (CDC), the World Health Organization (WHO), and PA's Department of Health. 

Read Full Article


Updated: April 28, 2020 17:33

Humor as a Tool During COVID-19

A woman holding a sticky note with a cartoon smile on it in front of her mouthWhile many of the important messages regarding the COVID-19 crisis are delivered in a necessarily serious tone, sometimes you just need a little humor to get the point across to some of the people you support (and to maintain some of your sanity). That is precisely why we chose to focus on this article about using memes to educate, engage, and add some much-needed levity to the COVID-19 crisis. 

Read Full Article


Updated: April 27, 2020 15:07

What are you doing for fun?

A game piece on a Monopoly game boardIt is sobering to think about how things have changed over the past six weeks, and how much we may have taken for granted, in the past.  For a lot of us and a lot of the people we support, access to the places, activities, and people who bring us joy have been limited or eliminated for the time being. That might be a tough pill to swallow, but it does not mean we can’t adapt and figure out some new ways to have a little fun!

Read Full Article

Updated: April 27, 2020 14:44